# Method Nettle.Cipher()->State()->crypt()

Method crypt

  ``string(8bit)` crypt(`string(8bit)` `data`)`

Description

  Encrypts or decrypts data, using the current key. Neither the input nor output data is automatically memory scrubbed, unless String.secure has been called on them.

Parameter `data`

  For block ciphers, data must be an integral number of blocks.

Returns

  The encrypted or decrypted data.